//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

@use 'sass:color';

/// Use for Menu bubbles in e.g. tiptap for some instances where the 'classic' navigation in a top-bar is not fulfilling
///
/// @group components
///
/// @name .c-editor-menububble
///

.editor-menububble {
    &__wrapper {
        display: flex;
        position: absolute;
        z-index: 100;

        padding: 5px;
        margin: 3px 3px 3px $inuit-base-spacing-unit--small;

        opacity: 0;
        visibility: hidden;

        background-color: $dp-color-white;
        border-radius: 4px;
        box-shadow: $dp-box-shadow-1;

        &.is-active {
            opacity: 1;
            visibility: visible;
        }
    }

    &__button {
        height: 25px;
        min-width: 23px;
        cursor: pointer;
        background: transparent;
        font: inherit;
        line-height: normal;
        text-decoration: none;
        padding: 3px;
        border: none;
        color: $dp-color-interactive-default;

        &:hover,
        &.is-active {
            background-color: color.adjust($dp-color-white, $lightness: -5%);
        }

        &:first-of-type {
            border-top-left-radius: 4px;
            border-bottom-left-radius: 4px;
        }

        &:last-of-type {
            border-top-right-radius: 4px;
            border-bottom-right-radius: 4px;
        }
    }
}
